/**
 * Program Name: createJobScript.java
 * Comments:  This is a javabean that accesses the user information and uses 
 * it to construct a queue submission script for PBS.  The queue script is 
 * placed in the user's descriptor directory and the contextmanager is updated.
 * I only want to do Gaussian or Ising applications right now. 
 */

package generic;

import WebFlow.*;
import WebFlow.ContextManager.*;
import java.io.*;

public class createJobScript {
    ContextManager cm;
    PrintWriter pw;
    String dir;
    public createJobScript(ContextManager cm) {
	this.cm=cm;
	try {
	    dir=cm.getCurrentProblemProperty("Directory");
	    pw=new PrintWriter(new FileWriter(dir+"/job.script"));
	}
	catch(Exception ex) {
	    ex.printStackTrace();
	}
    }
    
    public void createPBS() {
	pw.println("#!/bin/csh");
	pw.println("#PBS -q "+cm.getCurrentProblemProperty("queue"));
	pw.println("#PBS -l nodes="+ cm.getCurrentProblemProperty("NNodes"));
	pw.println("#PBS -N "+cm.getCurrentProblemProperty("Name"));
	pw.println("#PBS -S "+cm.getCurrentProblemProperty("shell"));
	pw.println("#PBS -l "+cm.getCurrentProblemProperty("walltime"));
	pw.println("#PBS -o "+cm.getCurrentProblemProperty("Name")+".o");
	pw.println("#PBS -e "+cm.getCurrentProblemProperty("Name")+".e");
	pw.println(cm.getCurrentProblemProperty("execpath") + " < " 
		   +cm.getCurrentProblemProperty("inputpath")
		   +" > "+cm.getCurrentProblemProperty("outputpath"));
	pw.flush();
	pw.close();
    }
    
}
